package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.business.bean.result.PaperArchivesResult;
import com.qmth.paper.library.business.entity.PaperArchives;

/**
 * <p>
 * 档案管理表 服务类
 * </p>
 */
public interface PaperArchivesService extends IService<PaperArchives> {

    IPage<PaperArchivesResult> pageData(Long semesterId, Long managerOrgId, Long archivesTypeId, String archivesName, Integer pageNumber, Integer pageSize);

    boolean saveData(PaperArchives paperArchives);

    boolean delete(Long id);
}
